package jj.tech.paolu.repository.mybatis.control;

import jj.tech.paolu.repository.mybatis.dao.SysAdminMenuMapper;
import jj.tech.paolu.repository.mybatis.entity.SysAdminMenu;
import jj.tech.paolu.utils.IDHelp;
import jj.tech.paolu.utils.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("mybatis/sysAdminMenu")
public class SysAdminMenuController {

    @Autowired
    public SysAdminMenuMapper sysAdminMenuMapper;

    @PostMapping("findById/{id}")
    public Object findById(@PathVariable("id") String id) {
        return R.SUCCESS(sysAdminMenuMapper.selectByPrimaryKey(id).orElse(null));
    }

    @PostMapping("delete/{id}")
    public Object delete(@PathVariable("id") String id) {
        return R.SUCCESS(sysAdminMenuMapper.deleteByPrimaryKey(id));
    }

    @PostMapping("save")
    public Object save(@RequestBody SysAdminMenu record) {
        record.setId(IDHelp.getInstance().nextId());
        return R.SUCCESS(sysAdminMenuMapper.insertSelective(record));
    }

    @PostMapping("update")
    public Object update(@RequestBody SysAdminMenu record) {
        return R.SUCCESS(sysAdminMenuMapper.updateByPrimaryKeySelective(record));
    }
}